
XTT - eXtensible Task Toolkit - Feature #41

Support in-order delivery from the same client

2012-07-18 13:18 - Ingo Lütkebohle

Status: Closed Start date: 2012-07-18

Priority: Normal Due date:  

Assignee: Ingo Lütkebohle % Done: 100%

Category: eventbus Estimated time: 6.00 hours

Target version: 1.1   

Description

Provide a per-client task count, so that task initiation can (optionally) be ordered.

Associated revisions

Revision 2319 - 2012-07-18 13:52 - Ingo Lütkebohle

Another utility class. refs #41

Revision 2320 - 2012-07-18 13:52 - Ingo Lütkebohle

No action necessary for RSB. refs #41

Revision 2325 - 2012-07-18 16:50 - Ingo Lütkebohle

Implement in-order delivery for messages from the same client. closes #41

Revision 2330 - 2012-07-19 08:59 - Ingo Lütkebohle

Test that messages without sequence number (i.e., as produced by pre-3.1 xtt) are also delivered and handled. refs #41

Revision 2331 - 2012-07-19 09:23 - Ingo Lütkebohle

Fix NPE when SN is missing. refs #41

History

#1 - 2012-07-18 13:18 - Ingo Lütkebohle

- Category changed from toolkit to eventbus

#2 - 2012-07-18 13:18 - Ingo Lütkebohle

- Target version changed from 3.1 to 1.1

#3 - 2012-07-19 09:54 - Ingo Lütkebohle

- Status changed from In Progress to Closed

#4 - 2012-07-19 09:55 - Ingo Lütkebohle

- % Done changed from 0 to 100

- Estimated time set to 6.00
